Subject: Re: linux-next: manual merge of the ftrace tree with the arm64 tree

From: Catalin Marinas <[email-masked]>
Date: Fri, 15 Nov 2019 13:59:24 +0000

On Fri, Nov 15, 2019 at 08:48:27AM -0500, Steven Rostedt wrote:
> On Fri, 15 Nov 2019 12:25:14 +0000
> Mark Rutland <[email-masked]> wrote:
> > Steven (Rostedt), what's your preference for handling this?
> > 
> > We can drop revert the arm64 change to vmlinux.lds.h for now (and I can
> > send it as a subsequent cleanup), or you could merge my
> > arm64/ftrace-with-regs branch and fix this up in the ftrace tree.
> 
> Or we can just make a note of this, and mention it in our pull requests
> to Linus.
> 
> We could make a single branch where we merged the two branches, fix it
> up (as I believe Stephen did it correctly) and tell Linus "here's the
> fix up".
> 
> This is a common occurrence and Linus has no problems with this. As
> long as he's given a heads up.

I'm fine sending Linus the pull request with the conflict as long as you
and Mark are ok with Stephen's resolution. The only nitpick I have is
that the two comments prior to MCOUNT_REC should be merged into a single
block (I guess we can leave this to Linus to sort out out).

-- 
Catalin